Subject: Re: linux-next: ftrace tree build failure

From: Ingo Molnar <[email-masked]>
Date: Fri, 15 Aug 2008 09:56:14 +0200

* Stephen Rothwell <[email-masked]> wrote:

> Hi all,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> kernel/trace/ftrace.c: In function 'ftrace_record_ip':
> kernel/trace/ftrace.c:345: error: implicit declaration of function 'in_nmi'
> 
> Caused by commit 431e94644bde07a327dea17ee9be297c3d44a876 ("ftrace: do
> not trace NMI contexts").
> 
> in_nmi() is not defined as a function (or macro) anywhere in my kernel 
> tree, so I assume a patch was missed. More care, please.
> 
> I reverted the above commit.

hm, it's present in my tree and has been there for a long time:

| commit 0d84b78a606f1562532cd576ee8733caf5a4aed3
| Author: Mathieu Desnoyers <[email-masked]>
| Date:   Mon May 12 21:21:07 2008 +0200
|
|    x86 NMI-safe INT3 and Page Fault

what happened is that i restructured the integration branches yesterday 
and moved the tracing/nmisafe from auto-ftrace-next to auto-latest - 
without realizing the dependency. I fixed that now and pushed out the 
updated auto-ftrace-next branch.

	Ingo